
/*
 * Tag handlng that can't be done in AlmostUnified
 */

ServerEvents.tags('item', event => {

    // Copper hoppers should count for regular hoppers
    /*['exposed', 'oxidized', 'weathered'].forEach(copperAge => {
        event.add('forge:hoppers', `everythingcopper:${copperAge}_copper_hopper`)
        event.add('forge:hoppers', `everythingcopper:waxed_${copperAge}_copper_hopper`)
    });*/

    // Farmer's Delight doesn't have rice seeds, you just plant rice grains to make more rice, which could let you completely break farming grist.
    event.remove('forge:seeds/rice', ['farmersdelight:rice']);
    event.remove('forge:rice_seeds', ['farmersdelight:rice']);
});

ServerEvents.recipes(event => {

    // Under soup salad sandwich theory, anything mixture including lettuce can be a salad.
    event.replaceInput(
        {mod: 'croptopia'},
        'croptopia:lettuce',
        '#forge:salad_ingredients'
    );
});